rte_port_source_sink.h(3)

NAME
rte_port_source_sink.h

SYNOPSIS

#include 'rte_port.h'

  Data Structures

struct rte_port_source_params
struct rte_port_sink_params

  Variables

struct rte_port_in_ops rte_port_source_ops
struct rte_port_out_ops rte_port_sink_ops

Detailed Description

RTE Port Source/Sink

source: input port that can be used to generate packets sink: output port that drops all packets written to it

Definition in file rte_port_source_sink.h.

Variable Documentation

  struct rte_port_in_ops rte_port_source_ops [extern]
source port operations

  struct rte_port_out_ops rte_port_sink_ops [extern]
sink port operations

Author

Generated automatically by Doxygen for DPDK from the source code.